Attribute VB_Name = "mod_GetDriveStats"
Public Type DrvStat
    drvLetter As String * 2
    drvVolume As String * 32
    drvType As Integer
    drvReady As Boolean
    drvCapacity As Variant
    drvFreeSpc As Variant
End Type

Public Const vbDriveUnknown = 0
Public Const vbDriveRemoveable = 1
Public Const vbDriveFixed = 2
Public Const vbDriveRemote = 3
Public Const vbDriveCDROM = 4
Public Const vbDriveRAM = 5

Public Function GetDrvData(drv As String) As DrvStat
On Error GoTo drv_error
Dim fsObj As New FileSystemObject
Dim ddrive As Drive
Dim drvArray() As String
   Set fsObj = CreateObject("Scripting.FileSystemObject")
   Set ddrive = fsObj.GetDrive(drv)
If ddrive.IsReady = True Then
GetDrvData.drvLetter = ddrive.Driveletter
GetDrvData.drvType = ddrive.DriveType
GetDrvData.drvReady = ddrive.IsReady
GetDrvData.drvVolume = ddrive.VolumeName
GetDrvData.drvCapacity = ddrive.TotalSize
GetDrvData.drvFreeSpc = ddrive.FreeSpace
Else
GetDrvData.drvVolume = "UNKNOWN"
GetDrvData.drvReady = False
GetDrvData.drvType = ddrive.DriveType
End If
Exit Function
drv_error:
GetDrvData.drvVolume = "Error# " + Trim(Str(Err.Number)) + ": " + Err.Description
GetDrvData.drvReady = False
GetDrvData.drvType = vbDriveUnknown
End Function


